let a=0;// a is angle//
function setup() {
    createCanvas(windowWidth, windowHeight);
    angleMode(DEGREES);
    background(255);// white background//
    noStroke();
  
}

function draw() {
  
  translate(width/2, height/2);

  for(let i = 0; i <100; i++) { // for loops and arrays//
    push();
    translate(width/2, height/2); 
    rotate(a);
    rect(850, i, -850, i++);
    fill(random(255),0, random(255));
  
     
    pop();
    translate(width/2, height/2);
    rotate(a);
    rect(-850, i, 550, i++);
    fill(random(255),0, random(255));// an array of random color fill from 0 to 255//
    a=a+6; // s peed//

      
    }
}

